Arch Ausstattung

From FreeCAD Documentation
Revision as of 14:57, 28 December 2018 by Le Loup (talk | contribs) (Created page with "Das Ausstattung-Werkzeug bietet einen einfachen und bequemen Weg, nichttragende, einzelstehende Elemente wie Möbelstücke, Sanitärgegenstände oder elektrische Geräte zu De...")

Arch Equipment

Menüeintrag
Arch → Ausstatting
Arbeitsbereich
Arch
Standardtastenkürzel
E Q
Eingeführt in Version
-
Siehe auch
3 Ansichten aus Netz

Beschreibung

Das Ausstattung-Werkzeug bietet einen einfachen und bequemen Weg, nichttragende, einzelstehende Elemente wie Möbelstücke, Sanitärgegenstände oder elektrische Geräte zu Deinen Projekten hinzuzufügen. Ausstattungen basieren auf Part Formteilen, die es erlauben, von der Solidität und den Möglichkeiten von BRep-Geometrien zu profitieren und nette Ansichten von Drauf- und Schnittansichten zu erzeugen.

As of version 0.17, equipment objects also have a HiRes property where a Mesh object can be attached. Equipment objects can then be made to display that mesh in the 3D view instead of their shape, which allows to use any high-resolution mesh objects such as detailed pieces of furniture commonly found on websites.

When using the Arch OBJ exporter, all equipments that are in Mesh display mode will be exported as their mesh instead of their shape.

How to use

  1. Select a Part shape, and optionally a Mesh object
  2. Press the Arch Equipment button, or press E then Q keys

Options

  • Equipments share the common properties and behaviours of all Arch Components

Properties

  • DatenModel: A description of the model of this equipment.
  • DatenUrl: An URL of the product page where more information about this equipment can be found.
  • DatenMesh: A Mesh representation to use for this equipment. When set, the Mesh display mode becomes available.

Scripting

The Equipment tool can by used in macros and from the python console by using the following function:

makeEquipment ( baseObject )
  • Creates an equipment object from a base object (Mesh or Part)
  • Returns the new equipment object, or None if the operation failed.

Example:

import Part, Arch
box = Part.makeBox(2,2,2)
base = FreeCAD.ActiveDocument.addObject("Part::Feature","Box")
base.Shape = box
Arch.makeEquipment(base)